// Copyright Earl Warren <contact@earl-warren.org>
// Copyright Loïc Dachary <loic@dachary.org>
// SPDX-License-Identifier: MIT

package auth

type Interface interface {
	SetUsername(username string)
	GetUsername() string

	SetPassword(password string)
	GetPassword() string

	SetToken(token string)
	GetToken() string
}
